## openvswitch 2.10.0%2B2018.08.28%2Bgit.8ca7c82b7d%2Bds1

=== debian/changelog ===
openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-12+deb10u2) buster; urgency=medium

  * Fixed debian/ifupdown.sh typo: ovs_vsctl -> ovs-vsctl.
  * Add patch to fix ovs-vswitchd dying:
    - Fix_vswitchd_abort_when_a_port_is_added_and_the_controller_is_down.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2019 14:40:49 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-12+deb10u1) buster; urgency=medium

  * Some fixups in debian/ifupdown.sh to allow setting-up the MTU.
  * Document how to do Bond + Bridge + VLAN + MTU.
  * Correct dependency on python3-six instead of python-six (Closes: #931104).

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Jun 2019 08:53:33 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-12) unstable; urgency=medium

  * Add --may-exist in debian/ifupdown.sh as per upstream commit. Without it,
    networking service may fail (Closes: #926942).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Apr 2019 00:25:19 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-11) unstable; urgency=medium

  * Removes network.service from openvswitch-switch.service to avoid a
    dependency loop in systemd, leading to removal of networking.service.
    Also use "ip link set DEVNAME up" instead of ifconfig, and runtime
    depend on iproute2.
    Thanks to Benjamin Drung for the bug report (Closes: #924562) and to
    Jonathan Dupart for the patch as a merge request in Salsa.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 00:50:26 +0100

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-10) unstable; urgency=medium

  * Add remove-non-deterministic-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Dec 2018 08:47:15 +0100

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-9) unstable; urgency=medium

  [ Michal Arbet ]
  * Fix load ovs stuff from /etc/network/interfaces (Closes: #910297)
  * Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 11 Dec 2018 11:23:11 +0100

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-8) unstable; urgency=medium

  * Add remove-yet-another-mips-failing-test.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Oct 2018 11:10:50 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-7) unstable; urgency=medium

  * Blacklist "ofproto - asynchronous message control (OpenFlow 1.3)" which
    fails on Mips arch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Oct 2018 15:04:46 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-6) unstable; urgency=medium

  * Fixed files present in 2 binaries (Closes: #907952).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Oct 2018 09:31:42 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-5) unstable; urgency=medium

  * Disable even more tests that are unfortunately failing under mipsel and
    mips64el.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Oct 2018 12:00:36 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Add patch to remove tests failing in all mips arch and armel
    (Closes: #908978).
  * Fix python3 dependency in openvswitch-switch and openvswitch-vtep.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Oct 2018 19:49:44 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-3) unstable; urgency=medium

  * Fixed files installed in both openvswitch-switch and openvswitch-common
    (Closes: #907952).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Sep 2018 12:40:31 +0000

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-2) unstable; urgency=medium

  * Add upstream patch to investigate failures:
    - ovs-dev-ovs-macros-Make-tests-log-how-long-they-waited-when-they-su..diff

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 13:10:46 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-1) unstable; urgency=medium

  * New upstream release:
    - Fix unit test with OpenSSL 1.1.1 (Closes: #900153).
  * Using +ds1 convention for upstream without debian folder tag.
  * Removed tests_stp_Use_long_warps_instead_of_multiple_calls.patch.
  * Rebased remove-tests-broken-in-mips64el-and-mipsel.patch.
  * Add py3-compat.patch, taken from Ubuntu.
  * Added disable-failed-tests.patch.
  * Add use-python3-m-sphinx-to-build-doc.patch
  * Fix debian/openstack-dev.install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Aug 2018 08:25:45 +0000

openvswitch (2.8.1+dfsg1-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * Set team+openstack@tracker.debian.org as maintainer email.
  * Create folders before copying files into it, fixing FTBFS (Closes: #901112)

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jun 2018 07:32:58 +0000

openvswitch (2.8.1+dfsg1-6) unstable; urgency=medium

  * Re-install systemd units to start OVS (Closes: #743635, #766435, #858418,
    #870001, #884319, #823532, #857178, #865616).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jan 2018 09:33:58 +0100

openvswitch (2.8.1+dfsg1-5) unstable; urgency=medium

  * Removed deprecated openvswitch-ipsec (Closes: #887031).
  * Document /etc/network/interfaces (Closes: #860786).
  * Remove bfd decay tests: they are failing on armhf, probably because the
    platform is too slow.
  * Add SYSTEMCTL_SKIP_REDIRECT=yes in openvswitch-switch.init.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 09:20:12 +0100

openvswitch (2.8.1+dfsg1-4) unstable; urgency=medium

  * Remove tests broken in mips64el and mipsel (Closes: #880508, 880509).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Nov 2017 11:37:36 +0100

openvswitch (2.8.1+dfsg1-3) unstable; urgency=medium

  * Remove .service files until better (Closes: #880498).

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 20:36:15 +0000

openvswitch (2.8.1+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add tests_stp_Use_long_warps_instead_of_multiple_calls.patch, which

