## openvswitch 2.10.0+2018.08.28+git.8ca7c82b7d+ds1

=== debian/control ===
--- 
+++ 
@@ -41,9 +41,9 @@
 Depends:
  iproute2,
  openssl,
- python3-six,
- ${misc:Depends},
- ${python3:Depends},
+ python-six,
+ ${misc:Depends},
+ ${python:Depends},
  ${shlibs:Depends},
 Suggests:
  ethtool,
