## openvswitch 2.10.4+2020.01.14.b2ccc307f1+dfsg1

=== debian/changelog ===
openvswitch (2.10.4+2020.01.14.b2ccc307f1+dfsg1-1+deb10u3) UNRELEASED; urgency=medium

  * New upstream point release + git head.
  * Refreshed patches. Disabled "disable-failed-tests.patch" which doesn't
    apply anymore.
  * Disable patch:
    Fix_vswitchd_abort_when_a_port_is_added_and_the_controller_is_down.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Mar 2020 17:21:39 +0100
