## openvswitch 2.10.6+ds1

=== debian/changelog ===
openvswitch (2.10.6+ds1-0+deb10u1) buster-security; urgency=high

  * New upstream point release:
    - Addresses CVE-2020-27827: denial of service attacks using crafted LLDP
      packets. (Closes: #980132).
    - Addresses CVE-2015-8011: Buffer overflow in the lldp_decode function in
      daemon/protocols/lldp.c in lldpd before 0.8.0 allows remote attackers to
      cause a denial of service (daemon crash) and possibly execute arbitrary
      code via vectors involving large management addresses and TLV boundaries.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2021 13:18:47 +0100
