=== debian/watch ===
version=3
opts="uversionmangle=s/v//,dversionmangle=s/\+dfsg\d+$//" \
https://github.com/openvswitch/ovs/tags .*/v(\d[\d\.]+)\.tar\.gz
