## openvswitch 2.11.0

=== debian/changelog ===
openvswitch (2.11.0-0ubuntu2) disco; urgency=medium

  * d/rules: Skip execution of dh_systemd_start for openvswitch-switch
    subunits avoiding multiple restarts during package configuration
    (LP: #1823295).

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2019 17:07:11 +0100

openvswitch (2.11.0-0ubuntu1) disco; urgency=medium

  * d/watch: Update for changes in upstream releases page.
  * New upstream release, superceeding previous snapshots from 2.11
    release branch.
  * d/rules: Skip test 2768 on amd64 and s390x.

 -- James Page <james.page@ubuntu.com>  Wed, 06 Mar 2019 10:11:19 +0000

openvswitch (2.11.0~git20190214.a8a67726e-0ubuntu1) disco; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: update to
    the upstream accepted patch. The changes were unified and thereby drop:
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch

  [ James Page ]
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh/rebase.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Feb 2019 13:12:34 +0000

openvswitch (2.11.0~git20190121.4e4f80ec2-0ubuntu1) disco; urgency=medium

  [ James Page ]
  * d/rules: Switch snapshots to 2.11 branch.
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh.
  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Drop,
    included in snapshot.

  [ Christian Ehrhardt ]
  * fix linking with DPDK 18.11 - updated to v2 of the upstream patch series
    - d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch
  * d/rules: mask test 2767 failing in OVS 2.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 31 Jan 2019 12:03:50 +0100

openvswitch (2.10.1-0ubuntu2) disco; urgency=medium

  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Cherry
    pick fix for abort in OF connection manager.

 -- James Page <james.page@ubuntu.com>  Mon, 26 Nov 2018 10:57:06 +0000

openvswitch (2.10.1-0ubuntu1) disco; urgency=medium

  * New upstream release (LP: #1804795).
  * d/p/erspan-add-big-endian-bit-fields.patch,tests-Fix-hash-function-
    dependencies-in-tunnel-ERSPA.patch: Drop, included in point release.
  * d/rules: Set shebang for to /usr/bin/python3.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Nov 2018 12:44:51 +0000

openvswitch (2.10.0-0ubuntu4) disco; urgency=medium

  * No-change rebuild against libunbound8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Nov 2018 09:01:37 +0000

openvswitch (2.10.0-0ubuntu3) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:16:49 +0000
