## openvswitch 2.11.0+2019.06.25+git.9ebe795035+ds1

=== debian/changelog ===
openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-7) unstable; urgency=medium

  * Fix moving ovs-vswitchd (Closes: #943990).

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Nov 2019 20:01:23 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-6) unstable; urgency=medium

  * Fix again moving /usr/sbin/ovs-vswitchd away.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2019 11:57:30 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-5) unstable; urgency=medium

  * Add || true when moving /usr/sbin/ovs-vswitchd so that it also works on
    arch all.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2019 11:42:17 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-4) unstable; urgency=medium

  * Fix installing vtep/vtep-ctl (Closes: #866319).
  * Fix moving /usr/sbin/ovs-vswitchd around on non-dpdk arch, fixing FTBFS on
    these.
  * Removed SYSTEMCTL_SKIP_REDIRECT from:
    - openvswitch-switch init scripts (Closes: #910474.
    - ovn-central.init (Closes: #910472).
    - ovn-host.init (Closes: #910475).
    - ovn-controller-vtep.init (Closes: #910476).
  * Added mkdir -p /var/run in ovs startup (Closes: #930843).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Oct 2019 11:38:08 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Oct 2019 15:17:29 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-2) unstable; urgency=medium

  [ Jakub Safarik ]
  * Reintroduce the openvswitch-ipsec package.
  * Fix lintian errors:
    - openvswitch-switch: init.d-script-not-included-in-package.
    - openvswitch source: python-depends-but-no-python-helper.
    - openvswitch source: missing-notice-file-for-apache-license.

  [ Thomas Goirand ]
  * Fixed d/copyright (Closes: #942056).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2019 09:13:37 +0200

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased patches.
  * Removed patch applied upstream:
    - ovs-dev-ovs-macros-Make-tests-log-how-long-they-waited-when-they-s...diff
  * Ran wrap-and-sort -bast.
  * Add dpdk support.
  * Converge with Ubuntu package.
  * Add 0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch.
  * Add disable-failing-ovn-tests.patch.
  * Removed Python 2 support (Closes: #937216).
  * Fixed debian/ifupdown.sh typo: ovs_vsctl -> ovs-vsctl.
  * Remove --parallel when calling dh.
  * Temporarily remove bugtools from openvswitch-common.install (it's
    currently broken, and need a fix).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jul 2019 22:31:36 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-13) unstable; urgency=medium

  * Some fixups in debian/ifupdown.sh to allow setting-up the MTU.
  * Document how to do Bond + Bridge + VLAN + MTU.
  * Correct dependency on python3-six instead of python-six (Closes: #931104).

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Jun 2019 08:53:33 +0200
