=== debian/control ===
--- 
+++ 
@@ -11,24 +11,24 @@
  autoconf,
  automake,
  bzip2,
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  graphviz,
+ libcap-ng-dev,
+ libdpdk-dev (>= 18.11.2) [amd64 i386 ppc64el arm64],
+ libnuma-dev [amd64 i386 ppc64el arm64],
+ libpcap-dev [amd64 i386 ppc64el arm64],
  libssl-dev,
  libtool,
+ libunbound-dev,
  openssl,
  openstack-pkg-tools,
+ pkg-config,
  procps,
- python-all,
- python-all-dev,
- python-setuptools,
- python-six,
- python-twisted-conch,
- python-zope.interface,
- python3-all,
  python3-all-dev,
  python3-setuptools,
  python3-six,
+ python3-sortedcontainers,
  python3-sphinx,
  python3-zope.interface,
 Standards-Version: 4.1.1
@@ -41,9 +41,9 @@
 Depends:
  iproute2,
  openssl,
- python-six,
- ${misc:Depends},
- ${python:Depends},
+ python3-six,
+ ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Suggests:
  ethtool,
@@ -123,6 +123,28 @@
  .
  This package provides openvswitch headers and libopenvswitch for developers.
 
+Package: openvswitch-ipsec
+Architecture: linux-any
+Depends:
+ iproute2,
+ lsb-base,
+ openvswitch-common (= ${binary:Version}),
+ openvswitch-switch (= ${binary:Version}),
+ python3-openvswitch (= ${source:Version}),
+ strongswan,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Open vSwitch IPsec tunneling support
+ Open vSwitch is a production quality, multilayer, software-based,
+ Ethernet virtual switch. It is designed to enable massive network
+ automation through programmatic extension, while still supporting
+ standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ This package provides IPsec tunneling support for OVS tunnels.
+
 Package: openvswitch-pki
 Architecture: all
 Depends:
@@ -153,7 +175,6 @@
  python:any,
  uuid-runtime,
  ${misc:Depends},
- ${python:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
 Description: Open vSwitch switch implementations
@@ -167,6 +188,34 @@
  .
  openvswitch-switch provides the userspace components and utilities for
  the Open vSwitch kernel-based switch.
+
+Package: openvswitch-switch-dpdk
+Architecture: amd64 arm64 i386 ppc64el
+Depends:
+ dpdk,
+ openvswitch-switch (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Enhances:
+ openvswitch-switch,
+Description: DPDK enabled Open vSwitch switch implementation
+ Open vSwitch is a production quality, multilayer, software-based,
+ Ethernet virtual switch. It is designed to enable massive network
+ automation through programmatic extension, while still supporting
+ standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ openvswitch-switch provides the userspace components and utilities for
+ the Open vSwitch kernel-based switch.
+ .
+ DPDK is a set of libraries for fast packet processing. Applications run
+ in user-space and communicate directly with dedicated network interfaces.
+ .
+ This package provides a DPDK enabled implementation of the ovs-vswitchd
+ binary.
 
 Package: openvswitch-testcontroller
 Architecture: linux-any
@@ -189,11 +238,10 @@
  lsb-base,
  openvswitch-common (= ${binary:Version}),
  openvswitch-switch (= ${binary:Version}),
- python-openvswitch (<< ${source:Version}.1~),
- python-openvswitch (>= ${source:Version}),
+ python3-openvswitch (<< ${source:Version}.1~),
+ python3-openvswitch (>= ${source:Version}),
  python:any,
  ${misc:Depends},
- ${python:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
 Description: Open vSwitch VTEP utilities
@@ -258,28 +306,6 @@
  ovn-host provides the userspace components and utilities for
  OVN that can be run on every host/hypervisor.
 
-Package: python-openvswitch
-Architecture: all
-Section: python
-Depends:
- python-six,
- ${misc:Depends},
- ${python:Depends},
-Replaces:
- openvswitch-test (<< 2.8.0),
-Breaks:
- openvswitch-test (<< 2.8.0),
-Description: Python bindings for Open vSwitch
- Open vSwitch is a production quality, multilayer, software-based,
- Ethernet virtual switch. It is designed to enable massive network
- automation through programmatic extension, while still supporting
- standard management interfaces and protocols (e.g. NetFlow, IPFIX,
- sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
- to support distribution across multiple physical servers similar to
- VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
- .
- This package contains the full Python bindings for Open vSwitch database.
-
 Package: python3-openvswitch
 Architecture: all
 Section: python
