## openvswitch 2.11.5

=== debian/changelog ===
openvswitch (2.11.5-0ubuntu0.19.04.1~cloud0) bionic; urgency=medium

  * d/openvswitch-switch{-dpdk}.prerm,postinst: Tidy with case statements,
    only remove alternatives when package is being removed (LP: #1836713).
  * New upstream point release (LP: #1912225) including security fixes for:
  * SECURITY UPDATE: buffer overflow decoding malformed packets in lldp
    - CVE-2015-8011
  * SECURITY UPDATE: Externally triggered memory leak in lldp
    - CVE-2020-27827

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jan 2021 17:29:57 +0000

openvswitch (2.11.4-0ubuntu0.19.04.1~cloud1) bionic; urgency=medium

  * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
    systemd unit files to use the correct environment file and environment
    variable for ovs-ctl options, /etc/default/openvswitch-switch and
    OVS_CTL_OPTS, respectively (LP: #1906280).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 15:24:16 -0500

openvswitch (2.11.4-0ubuntu0.19.04.1~cloud0) bionic; urgency=medium

  * New upstream release (LP: #1836709).

 -- James Page <james.page@ubuntu.com>  Thu, 22 Oct 2020 12:01:12 +0100
